Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018501
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfacemajoralways2011-09-12 12:142011-12-13 16:43
ReporterdbazView Statuspublic 
Assigned Todbaz 
PriorityurgentResolutionfixedFixed in Version3.0MP7
StatusclosedFix in branchFixed in SCM revision048096c51f60
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018501: New orange lines appears when the grid/form has the focus

DescriptionOnly in Google Chrome.

New orange lines appears when the grid/form has the focus but there is no focused input.

Also in "Workspace" tab button when is selected, in "User Options" -> "Organization" combo when is opened.

See attached screenshots.

It seems that recent SC update has activated some kind of outline CSS property for these elements.

Something like

input:focus {
  outline: none;
}

but applied to these components (they are not inputs) could be needed
Steps To ReproduceGo to any form/grid and ensure that no input is focused.
TagsNo tags attached.
Attached Filespng file icon Top-Right in Form.png [^] (146,499 bytes) 2011-09-12 12:14


png file icon In the middle of the Grid.png [^] (146,540 bytes) 2011-09-12 12:15

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0041124)
hgbot (developer)
2011-09-20 12:01

Repository: erp/devel/pi
Changeset: 70f36f70757925dfcfcb5ab49723598856052dec
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Sep 20 11:59:59 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/70f36f70757925dfcfcb5ab49723598856052dec [^]

Related to issue 18501: New orange lines appears when the grid/form has the focus
Prevent outline from showing in Chrome

---
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-form-styles.css
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-grid-styles.css
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-tab-styles.css
---
(0041134)
mtaal (developer)
2011-09-20 14:37

Solved for the grid and form, need to be solved for comboboxes also, is related to this question on the smartclient forum:
http://forums.smartclient.com/showthread.php?t=18855 [^]
(0041246)
hgbot (developer)
2011-09-23 07:19

Repository: erp/devel/pi
Changeset: 4a26324524c5ddf7a894110d8950ed52b0e774bd
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Sep 23 07:19:08 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4a26324524c5ddf7a894110d8950ed52b0e774bd [^]

Related to issue 18501: New orange lines appears when the grid/form has the focus
Workaround for MP4, can be solved when upgrading SC in a next MP

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-user-profile-widget.js
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-form-styles.css
---
(0041247)
mtaal (developer)
2011-09-23 07:20

Workaround for MP4, need to upgrade SC after 1 October (as they say they will solve it then).

SC will happen again in MP5 probably. At that time remove workaround and test issue.
(0041685)
hudsonbot (developer)
2011-10-12 01:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test
(0041698)
hudsonbot (developer)
2011-10-12 01:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test
(0043742)
dbaz (developer)
2011-12-08 02:32

Notice that IE dotted outlines can NOT be removed, since, by the moment, we use IE7 emulation.

Removing dotted outlines in IE7 requires deep js DOM manipulation using "hideFocus" attribute (unthinkable to apply using the Smartclient environment).

Once HTML5 tag attribute be in place and we get rid of IE7 emulation, it will be fixed.
(0043758)
hgbot (developer)
2011-12-09 11:43

Repository: erp/devel/pi
Changeset: 048096c51f60b0959c141d8016f0356051f512f6
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu Dec 08 02:35:24 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/048096c51f60b0959c141d8016f0356051f512f6 [^]

Fixed issue 18501: Removed orange outlines added by Chrome to focused items

---
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-application-styles.css
---
(0043764)
rgoris (developer)
2011-12-09 12:21

tested and works fine
(0043777)
mtaal (developer)
2011-12-12 10:05

Reviewed
(0043831)
hudsonbot (developer)
2011-12-13 16:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8a06361cc265 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-09-12 12:14 dbaz New Issue
2011-09-12 12:14 dbaz Assigned To => mtaal
2011-09-12 12:14 dbaz File Added: Top-Right in Form.png
2011-09-12 12:14 dbaz Modules => Core
2011-09-12 12:15 dbaz File Added: In the middle of the Grid.png
2011-09-13 15:29 dbaz Web browser => Google Chrome
2011-09-13 15:29 dbaz Description Updated View Revisions
2011-09-20 12:01 hgbot Checkin
2011-09-20 12:01 hgbot Note Added: 0041124
2011-09-20 14:37 mtaal Note Added: 0041134
2011-09-23 07:19 hgbot Checkin
2011-09-23 07:19 hgbot Note Added: 0041246
2011-09-23 07:20 mtaal Note Added: 0041247
2011-09-23 07:20 mtaal Web browser Google Chrome => Google Chrome
2011-09-23 07:20 mtaal Target Version 3.0MP4 => 3.0MP5
2011-09-28 17:42 mtaal Web browser Google Chrome => Google Chrome
2011-09-28 17:42 mtaal Assigned To mtaal => dbaz
2011-09-28 17:42 mtaal Target Version 3.0MP5 =>
2011-10-12 01:58 hudsonbot Checkin
2011-10-12 01:58 hudsonbot Note Added: 0041685
2011-10-12 01:59 hudsonbot Checkin
2011-10-12 01:59 hudsonbot Note Added: 0041698
2011-12-08 02:32 dbaz Note Added: 0043742
2011-12-09 11:43 hgbot Checkin
2011-12-09 11:43 hgbot Note Added: 0043758
2011-12-09 11:43 hgbot Status new => resolved
2011-12-09 11:43 hgbot Resolution open => fixed
2011-12-09 11:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/048096c51f60b0959c141d8016f0356051f512f6 [^]
2011-12-09 12:21 rgoris Note Added: 0043764
2011-12-12 10:05 mtaal Note Added: 0043777
2011-12-12 10:05 mtaal Status resolved => closed
2011-12-12 10:05 mtaal Fixed in Version => 3.0MP7
2011-12-13 16:43 hudsonbot Checkin
2011-12-13 16:43 hudsonbot Note Added: 0043831


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker